"use strict";
/**
 * 管理后台用户逻辑层
 * 作者: 李欣鸣
 * 主要包括有 孵化器账号的登录
 * 预留好  重置密码  退出登录 接口
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.login = void 0;
const errorEnum_1 = require("../../config/errorEnum");
const guanweihui_1 = require("../../data/guanWeiHui/guanweihui");
const bizError_1 = require("../../util/bizError");
const tools_1 = require("../../util/tools");
/**
 * 登录
 * @param loginId 信用代码
 * @param pwd 密码
 * @returns resultUserInfo:{uscc, name} 登录后的信息
 */
async function login(loginId, pwd) {
    let userInfo = await guanweihui_1.findGuanWeiHuiUserInfoByLoginId(loginId);
    if (!userInfo)
        throw new bizError_1.BizError(errorEnum_1.ERRORENUM.账号不存在, loginId);
    let checkPwd = tools_1.getPwdMd5(userInfo.loginId, pwd);
    if (userInfo.pwd != checkPwd)
        throw new bizError_1.BizError(errorEnum_1.ERRORENUM.密码错误);
    const Token = tools_1.getToken(loginId);
    let resultUserInfo = {
        loginId: userInfo.loginId,
        name: userInfo.name,
        token: Token
    };
    userInfo.token = Token;
    userInfo.tokenMs = new Date().valueOf();
    await userInfo.save();
    return resultUserInfo;
}
exports.login = login;
//# sourceMappingURL=user.js.map