"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHardware = void 0;
const errorEnum_1 = require("../../config/errorEnum");
const serverConfig_1 = require("../../config/serverConfig");
const bizError_1 = require("../../util/bizError");
const request_1 = require("../../util/request");
//虚拟机上的数据
async function getHardware() {
    let 云资源result = await request_1.get(serverConfig_1.appConfig.cloudResource);
    let 使用率result = await request_1.get(serverConfig_1.appConfig.physicalResource);
    if (!云资源result)
        throw new bizError_1.BizError(errorEnum_1.ERRORENUM.未找到数据, "云资源");
    if (!使用率result)
        throw new bizError_1.BizError(errorEnum_1.ERRORENUM.未找到数据, "使用率");
    let 计算云资源;
    let 物理资源;
    let 使用率;
    if (云资源result.content && 云资源result.content[0]) {
        let contentInfo = 云资源result.content[0];
        let { id, cpu, mem, localDisk, cloudDisk, network, rack, security, server } = contentInfo;
        计算云资源 = {
            "cpu": cpu,
            "内存": mem,
            "本地磁盘": localDisk,
            "云磁盘总量": cloudDisk
        };
        物理资源 = {
            "物理机": server,
            "网络设备": network,
            "安全设备": security,
            "机柜": rack
        };
    }
    if (使用率result) {
        使用率 = {
            "cpu": 使用率result.vcpuUsed,
            "内存": 使用率result.memoryUsed,
            "本地磁盘": 使用率result.localDiskUsed,
            "云磁盘cds ssd池": 使用率result.ssdUsed,
            "云磁盘cds sata池": 使用率result.sataUsed,
            "对象存储": 使用率result.bosUsed
        };
    }
    return { 计算云资源, 使用率, 物理资源 };
}
exports.getHardware = getHardware;
//# sourceMappingURL=hardwareData.js.map