"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.baseDB = exports.initDB = void 0;
const serverConfig_1 = require("../config/serverConfig");
const bizError_1 = require("../util/bizError");
const dbConnect_1 = require("./dbConnect");
const tableInit_1 = require("./tableInit");
var baseDB;
exports.baseDB = baseDB;
async function initDB() {
    //如果配置了mongoServerConstVal 才会连接mongo
    if (serverConfig_1.systemConfig.mongodbStr) {
        console.log(serverConfig_1.systemConfig.mongodbStr, ' 连接成功');
        exports.baseDB = baseDB = await dbConnect_1.createDbConnect(serverConfig_1.systemConfig.mongodbStr).catch(err => {
            throw err;
        });
        await tableInit_1.initTable();
        console.log('mongodb init success');
    }
    else {
        throw new bizError_1.BizError("xml中未配置mongo连接字符串 无法连接到mongodb");
    }
}
exports.initDB = initDB;
//# sourceMappingURL=dbInit.js.map