"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkGuanWeiHuiToken = exports.checkFuHuaQiToken = void 0;
const errorEnum_1 = require("../config/errorEnum");
const fuhuaqi_1 = require("../data/fuHuaQi/fuhuaqi");
const guanweihui_1 = require("../data/guanWeiHui/guanweihui");
const bizError_1 = require("../util/bizError");
/**
 * 中间件 校验孵化器token
 * @param req
 * @param res
 * @param next
 * @returns
 */
async function checkFuHuaQiToken(req, res, next) {
    if (!req.headers)
        req.headers = {};
    const reqToken = req.headers.token;
    const userId = req.headers.userid || "";
    if (!userId)
        return next(new bizError_1.BizError(errorEnum_1.ERRORENUM.身份验证失败, `userId:${userId} token:${reqToken}`));
    let userInfo = await fuhuaqi_1.findFuHuaQiByUSCC(userId);
    if (!userInfo)
        return next(new bizError_1.BizError(errorEnum_1.ERRORENUM.非法登录, `userId:${userId} token:${reqToken}`));
    /**2023-2-8日需求  登录一次一直有效 */
    // if (userInfo.token != reqToken || (new Date().valueOf() - userInfo.tokenMs) > (3600*100*24*7) ) return next(new BizError(ERRORENUM.身份验证过期, `userId:${userId} token:${reqToken}`));
    if (userInfo.token != reqToken)
        return next(new bizError_1.BizError(errorEnum_1.ERRORENUM.身份验证过期, `userId:${userId} token:${reqToken}`));
    req.headers.uscc = req.headers.userid;
    next();
}
exports.checkFuHuaQiToken = checkFuHuaQiToken;
/**
 * 中间件 校验管委会token
 * @param req
 * @param res
 * @param next
 * @returns
 */
async function checkGuanWeiHuiToken(req, res, next) {
    if (!req.headers)
        req.headers = {};
    const reqToken = req.headers.token;
    const userId = req.headers.userid || "";
    if (!userId)
        return next(new bizError_1.BizError(errorEnum_1.ERRORENUM.身份验证失败, `userId:${userId} token:${reqToken}`));
    let userInfo = await guanweihui_1.findGuanWeiHuiUserInfoByLoginId(userId);
    if (!userInfo)
        return next(new bizError_1.BizError(errorEnum_1.ERRORENUM.非法登录, `userId:${userId} token:${reqToken}`));
    /**2023-2-8日需求  登录一次一直有效 */
    // if (userInfo.token != reqToken || (new Date().valueOf() - userInfo.tokenMs) > (3600*100*24*7) ) return next(new BizError(ERRORENUM.身份验证过期, `userId:${userId} token:${reqToken}`));
    if (userInfo.token != reqToken)
        return next(new bizError_1.BizError(errorEnum_1.ERRORENUM.身份验证过期, `userId:${userId} token:${reqToken}`));
    req.headers.uscc = req.headers.userid;
    next();
}
exports.checkGuanWeiHuiToken = checkGuanWeiHuiToken;
//# sourceMappingURL=user.js.map