"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.httpServer = void 0;
const express = require("express");
const bodyParser = require("body-parser");
const routers = require("../routers/router");
const compression = require("compression");
const watch_1 = require("../middleware/watch");
const httpErrorHandler_1 = require("../middleware/httpErrorHandler");
const path = require("path");
const fallback = require("express-history-api-fallback");
class httpServer {
    static createServer(port) {
        var httpServer = express();
        httpServer.all('*', (req, res, next) => {
            res.header('Access-Control-Allow-Origin', req.headers.origin);
            res.header("Access-Control-Allow-Headers", "X-Requested-With");
            res.header('Access-Control-Allow-Headers', 'Content-Type,request-origin,userid,token');
            res.header("Access-Control-Allow-Methods", "PUT,POST,GET,DELETE,OPTIONS");
            res.header('Access-Control-Allow-Credentials', true);
            res.header("X-Powered-By", ' 3.2.1');
            next();
            // if(req.method === 'OPTIONS'){
            //     res.statusCode = 200;
            //     res.end();
            //   }else{
            //       next();
            //   }
        });
        const root = path.join(__dirname, "../../public");
        httpServer.use(express.static(root));
        httpServer.use(fallback('index.html', { root }));
        httpServer.use(bodyParser.json({ limit: "1000kb" }));
        httpServer.use(compression());
        httpServer.use(watch_1.watch);
        routers.setRouter(httpServer);
        httpServer.use(httpErrorHandler_1.httpErrorHandler);
        httpServer.listen(port);
        console.log('server listen on port:' + port);
    }
}
exports.httpServer = httpServer;
//# sourceMappingURL=http_server.js.map