"use strict";
/**
 * 公共资源路由
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setRouter = void 0;
const asyncHandler = require("express-async-handler");
const enum_1 = require("../config/enum");
function setRouter(httpServer) {
    httpServer.post('/public/fuhuaqilv', asyncHandler(getFuHuaQiLv));
    httpServer.post('/public/institutionalnature', asyncHandler(getInstitutionalNature));
    httpServer.post('/public/fuhuaqiindustry', asyncHandler(getFuHuaQiIndustry));
    httpServer.post('/public/industry', asyncHandler(getIndustry));
    httpServer.post('/public/investmentstyle', asyncHandler(getFuHuaQiInvestmentStyle));
}
exports.setRouter = setRouter;
/**
 * 获取孵化器等级列表
 * @param req
 * @param res
 */
async function getFuHuaQiLv(req, res) {
    let lvList = [];
    for (let key in enum_1.FUHUAQILV) {
        let anyKey = key;
        if (isNaN(anyKey)) {
            lvList.push({ key, value: enum_1.FUHUAQILV[key] });
        }
    }
    res.success({ lvList });
}
/**
 * 获取孵化器机构性质列表
 * @param req
 * @param res
 */
async function getInstitutionalNature(req, res) {
    let lvList = [];
    for (let key in enum_1.INSTITUTIONALNATURE) {
        let anyKey = key;
        if (isNaN(anyKey)) {
            lvList.push({ key, value: enum_1.INSTITUTIONALNATURE[key] });
        }
    }
    res.success({ lvList });
}
/**
 * 获取孵化器领域
 * @param req
 * @param res
 */
async function getFuHuaQiIndustry(req, res) {
    let lvList = [];
    for (let key in enum_1.FUHUAINDUSTRY) {
        let anyKey = key;
        if (isNaN(anyKey)) {
            lvList.push({ key, value: enum_1.FUHUAINDUSTRY[key] });
        }
    }
    res.success({ lvList });
}
/**
 * 获取行业领域
 * @param req
 * @param res
 */
async function getIndustry(req, res) {
    let lvList = [];
    for (let key in enum_1.INDUSTRY) {
        let anyKey = key;
        if (isNaN(anyKey)) {
            lvList.push({ key, value: enum_1.INDUSTRY[key] });
        }
    }
    res.success({ lvList });
}
/**
 * 获取孵化器投资方式
 * @param req
 * @param res
 */
async function getFuHuaQiInvestmentStyle(req, res) {
    let lvList = [];
    for (let key in enum_1.FUHUAQILNVESTMENTSTYLE) {
        let anyKey = key;
        if (isNaN(anyKey)) {
            lvList.push({ key, value: enum_1.FUHUAQILNVESTMENTSTYLE[key] });
        }
    }
    res.success({ lvList });
}
//# sourceMappingURL=public.js.map