/**
 * 校验参数所用的配置
 * 
 */

/**
 * 更新孵化器基础数据的表单配置
 */
export const BaseParamUpdateConfig = {
    virtualEnterpriseNum:"Number",//虚拟企业数量
    incubatedAcreage:"Number",//在孵面积(㎡)
    acreageTotal:"Number",//孵化器总面积(㎡)
    acreagePersonalUse:"Number",//孵化器自用面积(㎡)
    hatchingGround:"[Object]",//经备案孵化场地
};

/**
 * 更新孵化器机构信息数据的表单配置
 */
export const OrganizationParamUpdateConfig = {
    name:"String",// {key:"名称"},
    operationName:"String",// {key:"运营机构名称"},
    uscc:"String",// {key:"统一信用代码"},
    logonTime:"Number",// {key:"注册时间", changeDate:true},
    lv:"Number",// {key:"孵化器级别"},
    identificationTime:"Number",// {key:"认定时间", changeDate:true},
    industry:"[Number]",// {key:"孵化领域"},
    institutionalNature:"Number",// {key:"机构性质"},
    operationModel:"[Number]",// {key:"运营模式"},//新加
    foundingTeam:"[Object]",// {key:"创始团队"},//新加
    liaison:"String",// {key:"联系人"},
    liaisonPhone:"String",// {key:"联系电话"},
    personInCharge:"String",// {key:"负责人"},
    personInChargePhone:"String",// {key:"负责人联系电话"},
    operationModelDes:"String",//运营模式描述
};


/**
 * 企业表单配置
 */
export const EnterpriseParamFormConfig = {
    name:"String", //企业名称
    uscc:"String", //统一信用代码
    industry:"[Number]",//领域
    logonTime:"Number",//注册时间
    firstIncubationTime:"Number",//首次入孵时间
    isNaturalPersonHolding:"Boolean",//是否自然人控股企业
    logonAdd:"String",//注册地址
    operatingAdd:"String",//经营地址
    leasedArea:"Number",//租赁面积（平方米）
    oldLogonAdd:"String",//迁入前注册地址
    timeOfImmigration:"Number",//迁入时间
    draftId:"String",
    mainBusiness:"String"//主营业务
}

/**
 * 新注册企业的表单配置
 */
export const RegisterEnterpriseParamConfig = {
    name:"String", //企业名称
    uscc:"String", //统一信用代码
    industry:"[Number]",//领域
    logonTime:"Number",//注册时间
    firstIncubationTime:"Number",//首次入孵时间
    isNaturalPersonHolding:"Boolean",//是否自然人控股企业
    logonAdd:"String",//注册地址
    operatingAdd:"String",//经营地址
    leasedArea:"Number",//租赁面积（平方米）
    mainBusiness:"String",//主营业务
};


/**
 * 迁入企业登记表单配置
 */
export const MoveInEnterpriseParamConfig = {
    name:"String", //企业名称
    uscc:"String", //统一信用代码
    industry:"[Number]",//领域
    logonTime:"Number",//注册时间
    firstIncubationTime:"Number",//首次入孵时间
    timeOfImmigration:"Number",//迁入时间
    isNaturalPersonHolding:"Boolean",//是否自然人控股企业
    oldLogonAdd:"String",//迁入前注册地址
    logonAdd:"String",//注册地址
    operatingAdd:"String",//经营地址
    leasedArea:"Number",//租赁面积（平方米）
    mainBusiness:"String",//主营业务
};


/**
 * 更新 融资企业登记表单配置
 */
export const FinancingParamUpdateConfig = {
    uscc:"String", //统一信用代码
    name:"String",//企业名称
    logonAdd:"String",//注册地址
    operatingAdd:"String",//经营地址
    financingAmount:"Number",//融资金额(万元)
    investmentInstitutionsName:"String",//投资机构名称
    timeToObtainInvestment:"Number",//获得投资时间
    fuHuaQiInvestment:"Boolean", //孵化器是否投资
    fuHuaQiInvestmentAmount:"Number",//孵化器投资金额(万元)
    fuHuaQiInvestmentStyle:"Number",//孵化器投资方式
    financingRounds:"Number",//融资轮次
};


/**
 * 创建 融资企业登记表单配置
 */
 export const FinancingParamConfig = {
    name:"String",//企业名称
    logonAdd:"String",//注册地址
    operatingAdd:"String",//经营地址
    financingAmount:"Number",//融资金额(万元)
    investmentInstitutionsName:"String",//投资机构名称
    timeToObtainInvestment:"Number",//获得投资时间
    fuHuaQiInvestment:"Boolean", //孵化器是否投资
    fuHuaQiInvestmentAmount:"Number",//孵化器投资金额(万元)
    fuHuaQiInvestmentStyle:"Number",//孵化器投资方式
    financingRounds:"Number",//融资轮次
};


/**
 * 新增孵化器账号配置
 */
export const FuHuaQiUserConfig = {
    operationName:"String",//运营机构名称
    uscc:"String",//营业执照 
    personInChargePhone:"String",//负责人手机号
    personInCharge:"String"//负责人 
}